Contact Free trial Login

Mule Maven Plugin 3.3.0 Release Notes

Mule Maven Plugin 3.3.0 is mainly focused on fixing bugs.

Hardware and Software Requirements

Hardware and Software Requirements

  • Microsoft Windows 8+

  • Apple Mac OS X 10.10+

  • Linux (tested on Ubuntu 15)

  • Java 8

  • Maven 3.3.3, 3.3.9, 3.5.0, 3.6.0

Compatibility

  • Mule 4.x

  • Anypoint Studio 7.x

  • OpenJDK 11, when using Mule 4.2

Fixed Issues

  • When you undeploy an app from CloudHub, the app is also deleted from the platform.

  • Dependencies with different classifier are now considered different.

  • The plugin validates mule configuration files when packaging. If the configuration files are invalid, the build will fail when generating the JAR file.